Package org.apache.groovy.util

# Class SystemUtil

java.lang.Object
org.apache.groovy.util.SystemUtil

public class SystemUtil extends Object
Utility methods for interacting with system properties in a safe manner.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SystemUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `getBooleanSafe(String name)`
  Retrieves a Boolean System property, or returns false if: the property isn't found the property name is null or empty
  `static boolean`
  `getBooleanSafe(String name, boolean def)`
  Retrieves a Boolean System property, supporting an opt-out (default-true) flag: absent property yields the default, an explicit value is parsed.
  `static Integer`
  `getIntegerSafe(String name, Integer def)`
  Retrieves an Integer System property
  `static Long`
  `getLongSafe(String name, Long def)`
  Retrieves a Long System property
  `static String`
  `getSystemPropertySafe(String name)`
  Retrieves a System property, or null if: the property isn't found the property name is null or empty
  `static String`
  `getSystemPropertySafe(String name, String defaultValue)`
  Retrieves a System property, or returns some default value if: the property isn't found the property name is null or empty
  `static String`
  `setSystemPropertyFrom(String nameValue)`
  Sets a system property from a `name=value` String.
  `static String`
  `setSystemPropertyFromSafe(String nameValue)`
  Sets a system property from a `name=value` String.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SystemUtil

    public SystemUtil()

- ## Method Details

  - ### setSystemPropertyFrom

    public static String setSystemPropertyFrom(String nameValue)
    Sets a system property from a `name=value` String. If no '=' is found, the property is assumed to be a Boolean flag with value `true`.
    Parameters:
      `nameValue` - the non-null name=value String
    Returns:
      the found name
    Throws:
      `IllegalArgumentException` - if nameValue is null

  - ### setSystemPropertyFromSafe

    public static String setSystemPropertyFromSafe(String nameValue)
    Sets a system property from a `name=value` String. If no '=' is found, the property is assumed to be a Boolean flag with value `true`.
    Parameters:
      `nameValue` - the non-null name=value String
    Returns:
      the found property name or null if the operation wasn't successful
    Throws:
      `IllegalArgumentException` - if nameValue is null

  - ### getSystemPropertySafe

    public static String getSystemPropertySafe(String name, String defaultValue)
    Retrieves a System property, or returns some default value if:
    - the property isn't found
    - the property name is null or empty
    Parameters:
      `name` - the name of the system property.
      `defaultValue` - a default value.
    Returns:
      value of the system property or the default value

  - ### getSystemPropertySafe

    public static String getSystemPropertySafe(String name)
    Retrieves a System property, or null if:
    - the property isn't found
    - the property name is null or empty
    Parameters:
      `name` - the name of the system property.
    Returns:
      value of the system property or null

  - ### getBooleanSafe

    public static boolean getBooleanSafe(String name)
    Retrieves a Boolean System property, or returns false if:
    - the property isn't found
    - the property name is null or empty
    Parameters:
      `name` - the name of the system property.
    Returns:
      value of the Boolean system property or false

  - ### getBooleanSafe

    public static boolean getBooleanSafe(String name, boolean def)
    Retrieves a Boolean System property, supporting an opt-out (default-true) flag: absent property yields the default, an explicit value is parsed.
    Parameters:
      `name` - the name of the system property.
      `def` - the default value when the property is not set
    Returns:
      the parsed Boolean system property or the default value

  - ### getIntegerSafe

    public static Integer getIntegerSafe(String name, Integer def)
    Retrieves an Integer System property
    Parameters:
      `name` - the name of the system property.
      `def` - the default value
    Returns:
      value of the Integer system property or the default value

  - ### getLongSafe

    public static Long getLongSafe(String name, Long def)
    Retrieves a Long System property
    Parameters:
      `name` - the name of the system property.
      `def` - the default value
    Returns:
      value of the Long system property or the default value